#ifndef QMLHANDLER_H
#define QMLHANDLER_H


#include <QDebug>
#include <QObject>
#include <QUrl>
#include <string>

class QMLHandler : public QObject {
  Q_OBJECT

private:
  void handleJSON(std::string buffer);
  void readPipeLoop();

public:
  explicit QMLHandler(QObject *parent = 0);
  void onExit();

signals:
  // Sending
  void sendingSetFileUrlText(QString signalText);
  void sendingEnableSendButton();

  // Receiving

  // Messages
  void message(QString msg);

  // Settings
  void settingsOpenSwitchServerPopup();

  // Ip Popup

  // Switch Popup

  // Footer
  void log(QString logText);
  void footerSetStatus(QString status);

public slots:
  // Sending
  void onSendingSelectFileButton(QUrl url);
  void onSendingSendFileButton();

  // Receiving
  void onReceivingGetFileButton(QString fileName);

  // Messages
  void onMessagesSendButton(QString msg);

  // Settings
  void onSettingsSwitchServerButton();

  // Ip Popup
  void onIpPopupEnterIp(QString ip);

  // Switch Popup
  void onSwitchPopupEnterIp(QString ip);

  // Footer
  void onFooterGetStatusButton();
};

#endif // QMLHANDLER_H
